summaryrefslogtreecommitdiffstats
path: root/setup_env.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2012-10-27 23:06:45 (GMT)
committerJames Meyer <james.meyer@operamail.com>2012-10-27 23:06:45 (GMT)
commitdab6c9cf2d6f1c75b665f6adfd05a7563b296efe (patch)
tree89c3901b913aa0936e7050de19f2777af10f45fd /setup_env.sh
parent0ec4b273af72b4723df8b4a4c9e76e52b14a7328 (diff)
downloadlinhes_dev-dab6c9cf2d6f1c75b665f6adfd05a7563b296efe.zip
setup_env.sh file updated for x86_64
./setup_env.sh x86_64 testing
Diffstat (limited to 'setup_env.sh')
-rwxr-xr-xsetup_env.sh115
1 files changed, 95 insertions, 20 deletions
diff --git a/setup_env.sh b/setup_env.sh
index 6c4af4f..1d80511 100755
--- a/setup_env.sh
+++ b/setup_env.sh
@@ -2,8 +2,9 @@
# Script to setup the LinHES development enviroment
# ./setup_env.sh ( i586|i686|x86_64 ) devID
# This script assumes that /tmp is usable.
+#MIRROR_DIR=../pkg_repo
MIRROR_DIR=../pkg_repo
-
+SDIR=`pwd`
function arg_check {
case $1 in
@@ -18,22 +19,37 @@ case $1 in
;;
esac
-if [ ! x$2 = x ]
+
+case $2 in
+ release) BENV="release" ;;
+ testing) BENV="testing" ;;
+
+ *)
+ echo "invalid env specified"
+ echo "valid options include release, testing"
+ echo "EX: ./setup_env.sh i686 testing"
+ exit 1
+ ;;
+ esac
+
+
+if [ ! x$3 = x ]
then
+ USER=$3
#check if developer template is present
- if [ -d templates/developers/$2 ]
+ if [ -d templates/developers/$3 ]
then
- echo "found the template for $2 "
+ echo "found the template for $3 "
FOUNDTEMPLATE="TRUE"
else
- echo "couldn't find templates/developers/$2"
- exit 2
+ echo "couldn't find templates/developers/$3"
+ # exit 2
fi
fi
}
-function static-pacman {
+function static-pacman () {
echo "downloading pacman to tmp"
cd /tmp
wget http://www.knoppmyth.net/repo/$ARCH/pacman-static.tgz
@@ -61,20 +77,67 @@ fi
}
+function checkout_repo {
+ mkdir -p $BENV/$ARCH
+ cd $BENV/$ARCH
+
+
+ git clone git@linhes.org:linhes_dev
+ git clone git@linhes.org:linhes_pkgbuild
+
+# git clone $USER@knoppmyth.net:linhes_pkgbuild
+# git clone $USER@knoppmyth.net:linhes_dev
+
+
+ if [ $BENV == "testing" ]
+ then
+ echo "====================================="
+ echo "switching linhes_pkgbuild to testing"
+ pwd
+ cd linhes_pkgbuild
+ pwd
+ git checkout -b testing origin/testing
+ cd -
+ echo "====================================="
+
+ fi
+
+ if [ $BENV == "testing" ]
+ then
+ echo "====================================="
+ echo "switching linhes_dev to testing"
+ pwd
+ cd linhes_dev
+ pwd
+ git checkout -b testing origin/testing
+ cd -
+ echo "====================================="
+ fi
+
+
+
+
+}
+
+
#-----------------------------------------------
-arg_check $1 $2
+arg_check $1 $2 $3
+
+#findme
+checkout_repo
+
pacman_check
-cd build_tools/clarch
-./setup_links.sh
-cd -
+#cd build_tools/clarch
+#./setup_links.sh
+#cd -
#create the local pkg dir's for mirror and creating pkg's
[ -e $MIRROR_DIR ] || mkdir -p $MIRROR_DIR
for i in i586 i686 x86_64
do
[ -e $MIRROR_DIR/$i ] || mkdir -p $MIRROR_DIR/$i
- for y in core extra core-testing extra-testing chroot-devel mv-core
+ for y in core extra core-testing extra-testing
do
[ -e $MIRROR_DIR/$i/$y ] || mkdir -p $MIRROR_DIR/$i/$y
[ -e $MIRROR_DIR/src_packages/$y ] || mkdir -p $MIRROR_DIR/src_packages/$y
@@ -85,10 +148,16 @@ done
[ -e $MIRROR_DIR/packages ] || mkdir -p $MIRROR_DIR/packages
#correct pacman.conf to use the correct ARCH to build the chroot
+cd $SDIR/$BENV/$ARCH
+cd linhes_dev
sed -e "s/REPLACEME/$ARCH/g" templates/pacman.conf.chroot > /tmp/pacman.conf.chroot
#create the chroot
-./mkarchroot -f -C /tmp/pacman.conf.chroot ../build_root.$ARCH base base-devel cdrkit unison openssh
+pwd
+echo "Creating dev chroot, this requires root access"
+echo "please type your root pass"
+mkdir -p /tmp/cache/pacman
+su -c "./mkarchroot -f -C /tmp/pacman.conf.chroot ../build_root.$ARCH base base-devel openssh git python2 dosfstools rsync squashfs-tools libisoburn gitpython parched"
status=$?
if [ ! $status = 0 ]
then
@@ -98,20 +167,20 @@ then
printf "%s\n" "********************************************************"
exit 1
fi
-#clear out the default resolve.con
+#clear out the default resolve.conf
mv -f ../build_root.$ARCH/etc/resolv.conf ../build_root.$ARCH/etc/resolv.conf.orig
if [ x$FOUNDTEMPLATE = xTRUE ]
then
#check for login run
- if [ -f templates/developers/$2/loginrun.sh ]
+ if [ -f templates/developers/$3/loginrun.sh ]
then
- cp -f templates/developers/$2/loginrun.sh ../build_root.$ARCH/root/loginrun.sh
+ cp -f templates/developers/$3/loginrun.sh ../build_root.$ARCH/root/loginrun.sh
fi
- if [ -f templates/developers/$2/custom_chroot.sh ]
+ if [ -f templates/developers/$3/custom_chroot.sh ]
then
- cd templates/developers/$2
+ cd templates/developers/$3
./custom_chroot.sh $ARCH
cd -
fi
@@ -124,12 +193,18 @@ chmod 755 ../enter_dev_chroot.$ARCH
printf "%s\n" "********************************************************"
printf "** %-50s **\n" " To enter the chroot (build_root.$ARCH) run:"
-printf "** %-50s **\n" " cd .."
+printf "** %-50s **\n" " cd $BENV/$ARCH"
printf "** %-50s **\n" " ./enter_dev_chroot.$ARCH"
+printf "** %-50s **\n" " First time setup only: "
+printf "** %-50s **\n" " after entering chroot run:"
+printf "** %-50s **\n" " cd /build_tools/archiso/archiso "
+printf "** %-50s **\n" " make install"
+printf "** %-50s **\n" " (it will error out but thats ok) "
+
printf "%s\n" "********************************************************"
#copy makepkg.conf into the chroot
-sed -e "s/i686/$ARCH/g" templates/makepkg.conf > ../build_root.$ARCH/etc/makepkg.conf
+sed -e "s/REPLACEME/$ARCH/g" templates/makepkg.conf > ../build_root.$ARCH/etc/makepkg.conf
#copy pacman.conf into the chroot
sed -e "s/REPLACEME/$ARCH/g" templates/pacman.conf.chroot > ../build_root.$ARCH/etc/pacman.conf